## org.eclipse.uml2.uml.resource
Class CMOF2UMLResourceHandler

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.BasicResourceHandler
          org.eclipse.uml2.uml.resource.CMOF2UMLResourceHandler

All Implemented Interfaces:
  org.eclipse.emf.ecore.xmi.XMLResource.ResourceHandler

    public class CMOF2UMLResourceHandler

extends org.eclipse.emf.ecore.xmi.impl.BasicResourceHandler

Field Summary
`protected static boolean` `DEBUG`

Constructor Summary
`CMOF2UMLResourceHandler()`

Method Summary
`protected Profile` `getEcoreProfile(org.eclipse.emf.ecore.EObject eObject)`
`protected Stereotype` `getEcoreStereotype(org.eclipse.emf.ecore.EObject eObject, java.lang.String name)`
`protected org.eclipse.emf.ecore.EObject` `getEObject(org.eclipse.emf.ecore.xml.type.AnyType extension, org.eclipse.emf.ecore.resource.Resource resource, java.lang.String name, boolean remove)`
`protected java.util.Collection<org.eclipse.emf.ecore.EObject>` `getEObjects(org.eclipse.emf.ecore.xml.type.AnyType extension, org.eclipse.emf.ecore.resource.Resource resource, java.lang.String name, boolean remove)`
`protected org.eclipse.emf.ecore.xml.type.AnyType` `getExtension(org.eclipse.emf.ecore.xmi.XMLResource resource, org.eclipse.emf.ecore.EObject eObject)`
`protected java.lang.Object` `getValue(org.eclipse.emf.ecore.util.FeatureMap featureMap, java.lang.String name)`
`protected java.lang.Object` `getValue(org.eclipse.emf.ecore.util.FeatureMap featureMap, java.lang.String name, boolean remove)`
`protected java.util.Collection<java.lang.Object>` `getValues(org.eclipse.emf.ecore.util.FeatureMap featureMap, java.lang.String name)`
`protected java.util.Collection<java.lang.Object>` `getValues(org.eclipse.emf.ecore.util.FeatureMap featureMap, java.lang.String name, boolean remove)`
`void` `postLoad(org.eclipse.emf.ecore.xmi.XMLResource resource, java.io.InputStream inputStream, java.util.Map<?,?> options)`
`protected org.eclipse.emf.ecore.xml.type.AnyType` `putExtension(org.eclipse.emf.ecore.xmi.XMLResource resource, org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.xml.type.AnyType extension)`
`protected org.eclipse.emf.ecore.xml.type.AnyType` `removeExtension(org.eclipse.emf.ecore.xmi.XMLResource resource, org.eclipse.emf.ecore.EObject eObject)`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.BasicResourceHandler
`postSave, preLoad, preSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    protected static final boolean DEBUG

See Also:
  Constant Field Values

Constructor Detail

### CMOF2UMLResourceHandler

    public CMOF2UMLResourceHandler()

Method Detail

### getExtension

    protected org.eclipse.emf.ecore.xml.type.AnyType getExtension(org.eclipse.emf.ecore.xmi.XMLResource resource,
                                                                  org.eclipse.emf.ecore.EObject eObject)

### putExtension

    protected org.eclipse.emf.ecore.xml.type.AnyType putExtension(org.eclipse.emf.ecore.xmi.XMLResource resource,
                                                                  org.eclipse.emf.ecore.EObject eObject,
                                                                  org.eclipse.emf.ecore.xml.type.AnyType extension)

### removeExtension

    protected org.eclipse.emf.ecore.xml.type.AnyType removeExtension(org.eclipse.emf.ecore.xmi.XMLResource resource,
                                                                     org.eclipse.emf.ecore.EObject eObject)

### getValue

    protected java.lang.Object getValue(org.eclipse.emf.ecore.util.FeatureMap featureMap,
                                        java.lang.String name)

### getValue

    protected java.lang.Object getValue(org.eclipse.emf.ecore.util.FeatureMap featureMap,
                                        java.lang.String name,
                                        boolean remove)

### getEObject

    protected org.eclipse.emf.ecore.EObject getEObject(org.eclipse.emf.ecore.xml.type.AnyType extension,
                                                       org.eclipse.emf.ecore.resource.Resource resource,
                                                       java.lang.String name,
                                                       boolean remove)

### getValues

    protected java.util.Collection<java.lang.Object> getValues(org.eclipse.emf.ecore.util.FeatureMap featureMap,
                                                               java.lang.String name)

### getValues

    protected java.util.Collection<java.lang.Object> getValues(org.eclipse.emf.ecore.util.FeatureMap featureMap,
                                                               java.lang.String name,
                                                               boolean remove)

### getEObjects

    protected java.util.Collection<org.eclipse.emf.ecore.EObject> getEObjects(org.eclipse.emf.ecore.xml.type.AnyType extension,
                                                                              org.eclipse.emf.ecore.resource.Resource resource,
                                                                              java.lang.String name,
                                                                              boolean remove)

### getEcoreProfile

    protected Profile getEcoreProfile(org.eclipse.emf.ecore.EObject eObject)

### getEcoreStereotype

    protected Stereotype getEcoreStereotype(org.eclipse.emf.ecore.EObject eObject,
                                            java.lang.String name)

### postLoad

    public void postLoad(org.eclipse.emf.ecore.xmi.XMLResource resource,
                         java.io.InputStream inputStream,
                         java.util.Map<?,?> options)

  Specified by:
    `postLoad` in interface `org.eclipse.emf.ecore.xmi.XMLResource.ResourceHandler`
  Overrides:
    `postLoad` in class `org.eclipse.emf.ecore.xmi.impl.BasicResourceHandler`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.